<?php
require_once('includes/config.php');
require_once('includes/functions/func.global.php');
require_once('includes/classes/class.template_engine.php');
require_once('includes/lang/lang_'.$config['lang'].'.php');

// Check if the script is installed
checkinstall($config);

// Connect to database
db_connect($config);

$settings = get_settings('index.php',$config);

$page = new HtmlTemplate ('templates/' . $config['tpl_name'] . '/index.html');
$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
$page->SetParameter ('SITE_TITLE', $config['site_title']);
$page->SetParameter ('MANUALS_ENABLED', $settings['manuals_enabled']);
$page->SetParameter ('FAQ_ENABLED', $settings['faq_enabled']);
$page->SetParameter ('TICKETS_ENABLED', $settings['tickets_enabled']);
$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
$page->CreatePageEcho($lang,$config);
?>